import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikHomeCardOneProps.dart';
import 'package:ui_sdk/props/UikHomeCardTwoProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class UikHomeCardTwo extends UikWidget {
  WidgetType _widgetType;
  UikHomeCardTwoProps _uikHomeCardTwoProps;
  UikHomeCardTwo(this._widgetType, this._uikHomeCardTwoProps)
      : super(_widgetType, _uikHomeCardTwoProps);

  @override
  _UikHomeCardTwoState createState() =>
      _UikHomeCardTwoState(_uikHomeCardTwoProps);
}

class _UikHomeCardTwoState extends State<UikHomeCardTwo> {
  UikHomeCardTwoProps _uikHomeCardTwoProps;
  _UikHomeCardTwoState(this._uikHomeCardTwoProps);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Container(
          width: 95,
          height: 71,
          decoration: BoxDecoration(
            color: const Color(
              0xFFEEEEEE,
            ),
            borderRadius: BorderRadius.circular(
              10,
            ),
          ),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              (_uikHomeCardTwoProps.icon != null)
                  ? _uikHomeCardTwoProps.icon!
                  : const Text(""),
              (_uikHomeCardTwoProps.text != null)
                  ? _uikHomeCardTwoProps.text!
                  : const Text(""),
            ],
          ),
        ),
      ],
    );
  }
}
