import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import "package:flutter/material.dart";

import '../props/UikChipsProps.dart';
import '../props/UikSwitchProps.dart';
import 'UikIcon.dart';
import 'UikWidget.dart';

class UikSwitch extends UikWidget {
  WidgetType _widgetType;
  UikSwitchProps _uikSwitchProps;
  UikSwitch(this._widgetType, this._uikSwitchProps)
      : super(_widgetType, _uikSwitchProps);

  @override
  _UikSwitchState createState() => _UikSwitchState(_uikSwitchProps);
}

class _UikSwitchState extends State<UikSwitch> {
  UikSwitchProps _uikSwitchProps;
  _UikSwitchState(this._uikSwitchProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Switch(
        splashRadius: 0,
        activeColor: _uikSwitchProps.activetopColor,
        activeTrackColor: _uikSwitchProps.activebackgroundColor,
        inactiveThumbColor: _uikSwitchProps.inactivebackgroundColor,
        inactiveTrackColor: _uikSwitchProps.inactivetopColor,
        value: _uikSwitchProps.isSwitched,
        onChanged: (value) =>
            setState(() => _uikSwitchProps.isSwitched = value),
      ),
    );
  }
}
