
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikDividerProps.dart';
import 'package:flutter/material.dart';
import 'package:ui_sdk/utils/extensions.dart';

import '../../props/UikWebViewWithHtmlProps.dart';

UikHtmlRendererProps $UikHtmlRendererPropsFromJson(Map<String, dynamic> json) {
  final UikHtmlRendererProps uikWebViewWithHtmlProps = UikHtmlRendererProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikWebViewWithHtmlProps.id = id;
  }
  final String? html = jsonConvert.convert<String>(json['html']);
  if (id != null) {
    uikWebViewWithHtmlProps.html = html!;
  }
  return uikWebViewWithHtmlProps;
}

Map<String, dynamic> $UikHtmlRendererPropsToJson(UikHtmlRendererProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['html'] = entity.html;
  return data;
}
