import 'package:ui_sdk/components/UikListTiles.dart';
import 'package:ui_sdk/components/UikText.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikListTilesProps.dart';
import '../../components/UikIcon.dart';
import '../../components/WidgetType.dart';
import '../../props/UikIconProps.dart';
import '../../props/UikListTileContainerProps.dart';

UikListTileContainerProps $UikListTileContainerPropsFromJson(
    Map<String, dynamic> json) {
  final UikListTileContainerProps uikListTileContainerProps =
      UikListTileContainerProps();

  final List<UikListTiles>? ll =
      jsonConvert.convert<List<UikListTiles>>(json['ll']);
  if (ll != null) {
    for (int i = 0; i < ll.length; i++) {
      uikListTileContainerProps.ll.add(UikListTiles(
          WidgetType.UikText, UikListTilesProps.fromJson(json['ll'])));
    }
  }

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikListTileContainerProps.id = id;
  }
  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikListTileContainerProps.text = text;
  }
  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikListTileContainerProps.action = action;
  }
  return uikListTileContainerProps;
}
