import 'package:ui_sdk/components/UikTwoComponentRow.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';
import '../../components/UikIcon.dart';
import '../../components/WidgetType.dart';
import '../../props/UikIconProps.dart';
import '../../props/UikMyOrderCardProps.dart';
import '../../props/UikScrollProductsProps.dart';
import '../../props/UikTextFieldProps.dart';
import '../../props/UikTwoComponentRowProps.dart';

UikMyOrderCardProps $UikMyOrderCardPropsFromJson(Map<String, dynamic> json) {
  final UikMyOrderCardProps uikMyOrderCardProps = UikMyOrderCardProps();

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikMyOrderCardProps.id = id;
  }

  final Map<String, dynamic>? firstRowPropsJson = json['firstRowProps'];
  if (firstRowPropsJson != null) {
    uikMyOrderCardProps.firstRowProps =
        UikTwoComponentRowProps.fromJson(firstRowPropsJson);
  }

  final Map<String, dynamic>? secondRowPropsJson = json['secondRowProps'];
  if (secondRowPropsJson != null) {
    uikMyOrderCardProps.secondRowProps =
        UikTwoComponentRowProps.fromJson(secondRowPropsJson);
  }

  final Map<String, dynamic>? scrollProductsPropsJson = json['scrollProductsProps'];
  if (scrollProductsPropsJson != null) {
    uikMyOrderCardProps.scrollProductsProps =
        UikScrollProductsProps.fromJson(scrollProductsPropsJson);
  }

  return uikMyOrderCardProps;
}
