import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import '../../components/UikRadioButton.dart';
import '../../components/UikText.dart';
import '../../components/WidgetType.dart';
import '../../props/UikProductInformationProps.dart';
import '../../props/UikProductInfornationCompprops.dart';
import '../../props/UikRadioButtonProps.dart';
import '../../props/UikTextProps.dart';
import '../../props/UikTextRadioButtonProps.dart';
import '../../props/UikThreeComponentRowProps.dart';

UikProductInformationProps $UikProductInformationPropsFromJson(
    Map<String, dynamic> json) {
  final UikProductInformationProps uikProductInformationProps =
      UikProductInformationProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikProductInformationProps.id = id;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikProductInformationProps.action = action;
  }

  return uikProductInformationProps;
}
