import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_HomeCardSeven_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikHomeCardSevenProps extends WidgetProps {
  late String id;
  late Widget? heading = null;
  late Widget? subheading = null;
  late Widget? sideText = null;
  late double marginTop = 0;
  late double marginLeft = 0;
  late double marginRight = 0;
  late double marginBottom = 0;
  late UikAction action;

  UikHomeCardSevenProps();

  factory UikHomeCardSevenProps.fromJson(Map<String, dynamic> json) =>
      $UikHomeCardSevenPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
