import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';
import '../generated/json/uik_listitemcustomer_props.g.dart';
import 'UikImageProps.dart';
import 'UikTextProps.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikListItemCustomerProps extends WidgetProps {
  late String id;
  late UikAction action;
  late UikImageProps image;
  late UikTextProps name;
  late UikTextProps phone;
  late UikTextProps date;
  late double width;
  late double height;

  UikListItemCustomerProps();

  factory UikListItemCustomerProps.fromJson(Map<String, dynamic> json) =>
      $UikListItemCustomerPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
