import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_productinformation_props.g.dart';
import '../generated/json/uik_productinformationcomp_props.g.dart';
import '../generated/json/uik_textradiobutton_props.g.dart';
import '../generated/json/uik_threeComponentRow_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikProductInformationProps extends WidgetProps {
  late String id;
  late UikAction action;

  UikProductInformationProps();

  factory UikProductInformationProps.fromJson(Map<String, dynamic> json) =>
      $UikProductInformationPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
