import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_radioButton_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikRadioButtonProps extends WidgetProps {
  late String id;
  late double borderRadius = 180.0;
  late String state = "disabled";
  late UikAction action;

  UikRadioButtonProps();

  factory UikRadioButtonProps.fromJson(Map<String, dynamic> json) =>
      $UikRadioButtonPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
