import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_SortFilter_props.g.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikSortFilterProps extends WidgetProps {
  late String id;
  late Widget sortButton;
  late Widget filterButton;
  late UikAction action;

  UikSortFilterProps();

  factory UikSortFilterProps.fromJson(Map<String, dynamic> json) =>
      $UikSortFilterPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
