import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_Spacer_props.g.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikSpacerProps extends WidgetProps {
  late String id;
  late double width;
  late double height;

  UikSpacerProps();

  factory UikSpacerProps.fromJson(Map<String, dynamic> json) =>
      $UikSpacerPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikSpacerPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
