import 'dart:convert';
import 'dart:ui';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';
import '../generated/json/uik_switch_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikSwitchProps extends WidgetProps {
  late String id;
  late Color activetopColor = Colors.amber;
  late Color activebackgroundColor = Colors.amber;
  late Color inactivetopColor = Colors.amber;
  late Color inactivebackgroundColor = Colors.amber;
  late bool isSwitched = false;
  late UikAction action;

  UikSwitchProps();

  factory UikSwitchProps.fromJson(Map<String, dynamic> json) =>
      $UikSwitchPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
