// ignore_for_file: file_names, prefer_final_fields

import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikHomeCardSixProps.dart';
import 'package:flutter/material.dart';

// ignore: must_be_immutable
class UikHomeCardSix extends UikWidget {
  // ignore: unused_field
  WidgetType _widgetType;
  UikHomeCardSixProps _uikHomeCardSixProps;
  UikHomeCardSix(this._widgetType, this._uikHomeCardSixProps)
      : super(_widgetType, _uikHomeCardSixProps);

  @override
  _UikHomeCardSixState createState() =>
      // ignore: no_logic_in_create_state
      _UikHomeCardSixState(_uikHomeCardSixProps);
}

class _UikHomeCardSixState extends State<UikHomeCardSix> {
  // ignore: unused_field
  UikHomeCardSixProps _uikHomeCardSixProps;
  _UikHomeCardSixState(this._uikHomeCardSixProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        top: _uikHomeCardSixProps.marginTop,
        bottom: _uikHomeCardSixProps.marginBottom,
        left: _uikHomeCardSixProps.marginLeft,
        right: _uikHomeCardSixProps.marginRight,
      ),
      child: Stack(
        children: [
          Container(
            width: 153.0,
            height: 57.0,
            decoration: BoxDecoration(
              color: const Color(0xFFF5F5F5),
              borderRadius: BorderRadius.circular(8.0),
            ),
          ),
          Positioned(
            child: _uikHomeCardSixProps.image!,
          ),
          Positioned(
              //top: 16,
              left: 64,
              child: Container(
                child: Column(
                  children: [
                    Container(child: _uikHomeCardSixProps.text1!),
                    Container(child: _uikHomeCardSixProps.text2!),
                    Container(
                      child: Row(
                        //mainAxisAlignment: MainAxisAlignment.spaceBetween,
                        children: [
                          for (int i = 0;
                              i < _uikHomeCardSixProps.starCount;
                              i++)
                            const Icon(
                              Icons.star_rounded,
                              size: 12,
                            ),
                          for (int i = 0;
                              i < 5 - _uikHomeCardSixProps.starCount;
                              i++)
                            const Icon(
                              Icons.star_outline_rounded,
                              size: 12,
                            ),
                        ],
                      ),
                    )
                  ],
                ),
              )),
        ],
      ),
    );
  }
}
