import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:flutter/material.dart';

import '../props/UikSpacerProps.dart';

class UikSpacer extends UikWidget {
  WidgetType _widgetType;
  UikSpacerProps _uikSpacerProps;
  UikSpacer(this._widgetType, this._uikSpacerProps)
      : super(_widgetType, _uikSpacerProps);

  @override
  _UikSpacerState createState() => _UikSpacerState(_uikSpacerProps);
}

class _UikSpacerState extends State<UikSpacer> {
  UikSpacerProps _uikSpacerProps;
  _UikSpacerState(this._uikSpacerProps);

  @override
  Widget build(BuildContext context) {
    return SizedBox(height: _uikSpacerProps.height, width: _uikSpacerProps.width,);
  }
}
