import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/ProductScreenTagsRow.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';

import '../../components/UikIcon.dart';
import '../../components/UikTags.dart';
import '../../components/WidgetType.dart';
import '../../props/UikIconProps.dart';
import '../../props/UikTagsProps.dart';

UikProductScreenTagsRowProps $UikProductScreenTagsRowPropsFromJson(
    Map<String, dynamic> json) {
  final UikProductScreenTagsRowProps uikProductScreenTagsRowProps =
      UikProductScreenTagsRowProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikProductScreenTagsRowProps.id = id;
  }

  final List<dynamic>? array =
      jsonConvert.convert<List<dynamic>>(json['array']);
  if (array != null) {
    for (int i = 0; i < array.length; i++)
      uikProductScreenTagsRowProps.array
          .add(UikTags(WidgetType.UikText, UikTagsProps.fromJson(array[i])));
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikProductScreenTagsRowProps.action = action;
  }
  return uikProductScreenTagsRowProps;
}
