import 'package:sizer/sizer.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikImageProps.dart';

UikImageProps $UikImagePropsFromJson(Map<String, dynamic> json) {
  final UikImageProps uikImageProps = UikImageProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikImageProps.id = id;
  }

  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikImageProps.width = width;
  }

  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikImageProps.height = height;
  }

  final double? topMargin = jsonConvert.convert<double>(json['topMargin']);
  if (topMargin != null) {
    uikImageProps.topMargin = topMargin;
  }

  final double? leftMargin = jsonConvert.convert<double>(json['leftMargin']);
  if (leftMargin != null) {
    uikImageProps.leftMargin = leftMargin;
  }

  final double? rightMargin = jsonConvert.convert<double>(json['rightMargin']);
  if (rightMargin != null) {
    uikImageProps.rightMargin = rightMargin;
  }

  final double? bottomMargin =
      jsonConvert.convert<double>(json['bottomMargin']);
  if (bottomMargin != null) {
    uikImageProps.bottomMargin = bottomMargin;
  }

  final double? topLeftRadius =
      jsonConvert.convert<double>(json['topLeftRadius']);
  if (topLeftRadius != null) {
    uikImageProps.topLeftRadius = topLeftRadius;
  }

  final double? topRightRadius =
      jsonConvert.convert<double>(json['topRightRadius']);
  if (topRightRadius != null) {
    uikImageProps.topRightRadius = topRightRadius;
  }

  final double? bottomLeftRadius =
      jsonConvert.convert<double>(json['bottomLeftRadius']);
  if (bottomLeftRadius != null) {
    uikImageProps.bottomLeftRadius = bottomLeftRadius;
  }

  final double? bottomRightRadius =
      jsonConvert.convert<double>(json['bottomRightRadius']);
  if (bottomRightRadius != null) {
    uikImageProps.bottomRightRadius = bottomRightRadius;
  }

  final String? url = jsonConvert.convert<String>(json['url']);
  if (url != null) {
    uikImageProps.url = url;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikImageProps.action = action;
  }
  return uikImageProps;
}
