import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikTextAreaProps.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikTextAreaProps.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:flutter/material.dart';

import '../../components/WidgetType.dart';

UikTextAreaProps $UikTextAreaPropsFromJson(Map<String, dynamic> json) {
  final UikTextAreaProps uikTextAreaProps = UikTextAreaProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikTextAreaProps.id = id;
  }

  final bool? transparency = jsonConvert.convert<bool>(json['transparency']);
  if (transparency != null) {
    uikTextAreaProps.transparency = transparency;
  }

  final String? backgroundColor =
      jsonConvert.convert<String>(json['backgroundColor']);
  if (backgroundColor != null) {
    uikTextAreaProps.backgroundColor = Color(int.parse(backgroundColor));
  }

  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikTextAreaProps.width = width;
  }

  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikTextAreaProps.height = height;
  }

  final bool? isLabel = jsonConvert.convert<bool>(json['isLabel']);
  if (isLabel != null) {
    uikTextAreaProps.isLabel = isLabel;
  }

  final String? label = jsonConvert.convert<String>(json['label']);
  if (label != null) {
    uikTextAreaProps.label = label;
  }

  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikTextAreaProps.text = text;
  }

  final String? corner = jsonConvert.convert<String>(json['corner']);
  if (corner != null) {
    uikTextAreaProps.corner = corner;
  }

  final bool? isBorder = jsonConvert.convert<bool>(json['isBorder']);
  if (isBorder != null) {
    uikTextAreaProps.isBorder = isBorder;
  }

  final String? borderColor = jsonConvert.convert<String>(json['borderColor']);
  if (borderColor != null) {
    uikTextAreaProps.borderColor = Color(int.parse(borderColor));
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikTextAreaProps.action = action;
  }
  return uikTextAreaProps;
}
