import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikUploadPhotoProps.dart';

import '../../components/UikIcon.dart';
import '../../components/UikText.dart';
import '../../components/WidgetType.dart';
import '../../props/UikIconProps.dart';
import '../../props/UikTextProps.dart';

UikUploadPhotoProps $UikUploadPhotoPropsFromJson(Map<String, dynamic> json) {
  //print(json);
  final UikUploadPhotoProps uikUploadPhotoProps = UikUploadPhotoProps();

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikUploadPhotoProps.id = id;
  }

  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    //print(json['text']);
    uikUploadPhotoProps.text =
        UikText(WidgetType.UikText, UikTextProps.fromJson(json['text']));
  }

  final String? cameraIcon = jsonConvert.convert<String>(json['cameraIcon']);
  if (text != null) {
    uikUploadPhotoProps.cameraIcon =
        UikIcon(WidgetType.UikText, UikIconProps.fromJson(json['cameraIcon']));
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikUploadPhotoProps.action = action;
  }
  return uikUploadPhotoProps;
}
