class StandardScreenResponse {
  List<UikWidgetResponse>? widgets;
  StandardScreenResponse({this.widgets});

  StandardScreenResponse.fromJson(Map<String, dynamic> json) {
    if (json['widgets'] != null) {
      widgets = <UikWidgetResponse>[];
      json['widgets'].forEach((v) {
        widgets!.add(new UikWidgetResponse.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (widgets != null) {
      data['layout'] = widgets!.map((v) => v.toJson()).toList();
    }
    return data;
  }

}

class UikWidgetResponse {
  String? uiType;
  UikWidgetResponse({this.uiType});
  UikWidgetResponse.fromJson(Map<String, dynamic> json) {
    uiType = json['uiType'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['uiType'] = this.uiType;
    return data;
  }
}