import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_CartTextHorizontal_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikCartTextHorizontalProps extends WidgetProps {
  late String id;
  late double? totalPrice = 0.0;
  late UikAction action;

  UikCartTextHorizontalProps();

  factory UikCartTextHorizontalProps.fromJson(Map<String, dynamic> json) =>
      $UikCartTextHorizontalPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
