import 'dart:convert';
import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_CenterRow_props.g.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikCenterRowProps extends WidgetProps {
  late String id;
  late double rightMargin = 0.0;
  late double leftMargin = 0.0;
  late double topMargin = 0.0;
  late double bottomMargin = 0.0;
  late Widget icon;
  late Widget text;

  UikCenterRowProps();

  factory UikCenterRowProps.fromJson(Map<String, dynamic> json) =>
      $UikCenterRowPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikCenterRowPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
