// ignore_for_file: file_names

import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_HomeCardFive_props.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';
import '../generated/json/uik_HomeCardEleven_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikHomeCardElevenProps extends WidgetProps {
  late String id;
  late Widget? image;
  late Widget? desc;
  late Widget? price;
  late Widget? button = SizedBox();
  late double marginTop = 0;
  late double marginLeft = 0;
  late double marginRight = 0;
  late double marginBottom = 0;
  late UikAction action;

  UikHomeCardElevenProps();

  factory UikHomeCardElevenProps.fromJson(Map<String, dynamic> json) =>
      $UikHomeCardElevenPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
