import 'dart:convert';
import 'package:ui_sdk/components/UikListTiles.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_listTileContainer_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikListTileContainerProps extends WidgetProps {
  late List<UikListTiles> ll = [];

  late String id;
  late String text;
  late UikAction action;

  UikListTileContainerProps();

  factory UikListTileContainerProps.fromJson(Map<String, dynamic> json) =>
      $UikListTileContainerPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
