import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_ProductPageContainer.g.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikProductPageContainerProps extends WidgetProps {
  late String id;
  late Widget? price = null;
  late Widget? desc = null;
  late Widget? tagRow = null;
  late Widget? addCartButton = null;
  late UikAction action;

  UikProductPageContainerProps();

  factory UikProductPageContainerProps.fromJson(Map<String, dynamic> json) =>
      $UikProductPageContainerPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
